NOTIFIER_CALL_CHAIN(9)

NAME
notifier_call_chain - Call functions in a notifier chain

SYNOPSIS

int __kprobes notifier_call_chain (struct notifier_block ** n, unsigned long val, void * v);

ARGUMENTS

n   Pointer to root pointer of notifier chain

val Value passed unmodified to notifier function

v   Pointer passed unmodified to notifier function

DESCRIPTION

Calls each function in a notifier chain in turn.

If the return value of the notifier can be and'd with NOTIFY_STOP_MASK, then notifier_call_chain will return immediately, with the return value of the notifier function which halted execution. Otherwise, the return value is the return value of the last notifier function called.